debug = true

# 单次获取数据量
batch_size = 99

[server]
# api服务监听
listen = '0.0.0.0:10256'
# 停用api服务
disable = false

[chain]
# cmpchain rpc
rpc = 'http://15.206.56.79:28545'
# cmpchain id
id = 100

[ipfs]
# ipfs gateway
# http://18.134.246.190:8080/ipfs/QmeSjSinHpPnmXmspMjwiXyN6zS4E9zccariGR3jxcaWtq/0
# 程序请求ipfs的链接
gateway = 'http://ipfs_host:8080/ipfs/'
# 返回拼接ipfs的链接
gateway_domain = 'https://cmp20.bitheart.org/ipfs/'

[s3]
access_key = 'AKIAT2FHAZL5D6FPWZZL'
secret_key = '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'
region = 'eu-west-2'
bucket = 'cmpnftmeta'
gateway = 'https://cmpnftmeta.s3.eu-west-2.amazonaws.com/'

[mysql]
host = 'mysql-nft'
port = 3306
user = 'root'
password = 'XN2UARuys3zy4Oux'
database = 'nft'
max_conn = 20
max_idle_conn = 10